Package org.apache.sling.auth.saml2

## Class Saml2User

- java.lang.Object
- - org.apache.sling.auth.saml2.Saml2User

    public class Saml2User
    extends Object

### Constructor Summary

Constructors
`Saml2User()`
`Saml2User​(String id)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addGroupMembership​(String group)`
`void` `addUserProperty​(String key, org.opensaml.core.xml.XMLObject attributeValue)`
`Set<String>` `getGroupMembership()`
`String` `getId()`
`Map<String,​String>` `getUserProperties()`
`void` `setId​(String id)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Saml2User

    public Saml2User()

#### Saml2User

    public Saml2User​(String id)

### Method Detail

#### getId

    public String getId()

#### getUserProperties

    public Map<String,​String> getUserProperties()

#### getGroupMembership

    public Set<String> getGroupMembership()

#### setId

    public void setId​(String id)

#### addUserProperty

    public void addUserProperty​(String key,
                                org.opensaml.core.xml.XMLObject attributeValue)

#### addGroupMembership

    public void addGroupMembership​(String group)